<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

function fmts_get_translation($key) {
    $translations = array(
        'Form ID Settings' => array(
            'en' => 'Form Settings',
            'ja' => 'フォーム設定',
        ),
        'Form ID' => array(
            'en' => 'Form ID',
            'ja' => '連携ID',
        ),
        'API Key' => array(
            'en' => 'FormToSS Authentication Key',
            'ja' => 'FormToSS 認証キー',
        ),
        'Form To SS' => array(
            'en' => 'Form To SS',
            'ja' => 'フォムトス',
        ),
        'Description_One' => array(
            'en' => 'You can add customize Form. For details, see',
            'ja' => '詳細については、',
        ),
        'Description_Two' => array(
            'en' => '',
            'ja' => ' を参照してください。',
        ),
        'About Form Id And API Key' => array(
            'en' => 'Obtaining a Form ID and FormToSS Authentication Key',
            'ja' => '連携IDとFormToSS 認証キーの取得について',
        ),
        'Information' => array(
            'en_US' => 'Please Enter the Form ID ',
            'ja' => '連携するシートの「連携ID」を入れてください',
        ),
        'Edit' => array(
            'en_US' => 'Edit',
            'ja' => '変更',
        ),
        'Non Admin Message 1' => array(
            'en_US' => 'This setting can only be changed by your administrator.',
            'ja' => 'この設定は管理者のみ変更できます。',
        ),
        'Non Admin Message 2' => array(
            'en_US' => 'Please contact your administrator to "change settings".',
            'ja' => '"設定を変更"するには、管理者にお問い合わせください。',
        ),
        'API Key validation failed' => array(
            'en_US' => 'FormToSS Authentication Key validation failed.',
            'ja' => 'FormToSS 認証キーの検証に失敗しました。',
        ),
        'API Key saved and validated successfully' => array(
            'en_US' => 'FormToSS Authentication Key saved and validated successfully!',
            'ja' => 'FormToSS 認証キーが正常に保存され、検証されました。',
        ),
        'Are you sure to reset the API key' => array(
            'en_US' => 'Are you sure you want to reset the FormToSS Authentication Key!',
            'ja' => 'FormToSS 認証キーをリセットしてもよろしいですか？',
        ),
        'API Key is Deleted' => array(
            'en_US' => 'FormToSS Authentication Key　is Deleted.',
            'ja' => 'FormToSS 認証キーが削除されました。',
        ),
        'API Key is required' => array(
            'en_US' => 'Please input the FormToSS Authentication Key.',
            'ja' => 'FormToSS 認証キーを入力してください。',
        ),
        'API Key already validated' => array(
            'en_US' => 'FormToSS Authentication Key already validated.',
            'ja' => 'FormToSS 認証キーはすでに検証済みです。',
        ),
        'Invalid API key' => array(
            'en_US' => 'The FormToSS Authentication Key is Invalid Please check your FormToSS Authentication Key.',
            'ja' => 'FormToSS 認証キーが無効です。FormToSS 認証キーを確認してください。',
        ),
        'Cannot create more than one domain' => array(
            'en_US' => 'Cannot create more than one domain. Please update your plan for multiple domain.',
            'ja' => '複数のドメインを作成することはできません。複数のドメインのプランを更新してください。',
        ),
        'checked the form_id' => array(
            'en_US' => 'Form ID is Activated.',
            'ja' => '連携IDがアクティブ化されました。',
        ),
        'not found the form_id' => array(
            'en_US' => 'Form ID is Not found.',
            'ja' => '連携IDが見つかりません。',
        ),
        'setup the api key' => array(
            'en_US' => 'Please setup the FormToSS Authentication Key First in the setting page.',
            'ja' => 'まず設定ページでFormToSS 認証キーを設定してください。',
        ),
        'Form ID is required' => array(
            'en_US' => 'Please Input the Form ID.',
            'ja' => '連携IDを入力してください。',
        ),
        'Are you sure to reset the Form ID' => array(
            'en_US' => 'Are you sure to reset the Form ID.',
            'ja' => '連携IDをリセットしてもよろしいですか？',
        ),
        'Form ID is Deleted' => array(
            'en_US' => 'Form ID is successfully Deleted',
            'ja' => '連携IDが削除されました。',
        ),
        'save_button' => array(
            'en_US' => 'Save',!
            'ja' => '保存',
        ),
        'Activate' => array(
            'en_US' => 'Activate',!
            'ja' => '認証済み',
        ),
        'Deactivate' => array(
            'en_US' => 'Deactivate',
            'ja' => '未認証',
        ),
    );
    $locale = get_locale();
    return isset($translations[$key][$locale]) ? $translations[$key][$locale] : $translations[$key]['en'];
}